from django.contrib.auth.decorators import login_required

def roles_context(request):
    if request.user.is_authenticated:
        return {
            'is_admin': request.user.is_superuser,
            'is_seller': request.user.groups.filter(name="Vendedores").exists(),
            'is_user': request.user.groups.filter(name="Usuarios").exists(),
        }
    return {}
